import * as SERVER from '@minecraft/server';
//arrojable loot//

//latas//
SERVER.world.beforeEvents.worldInitialize.subscribe(initEvent => {
  initEvent.blockComponentRegistry.registerCustomComponent('xaierg:latas', {
    onPlayerInteract: e => {
      e.player.runCommand(`loot spawn ${e.block.location.x} ${e.block.location.y} ${e.block.location.z} loot "arrojable/latas"`);
e.player.runCommand(`particle minecraft:explosion_manual ${e.block.location.x} ${e.block.location.y+1} ${e.block.location.z}`);
e.block.setType('minecraft:air');
      }
});
});
//ladrillos//
SERVER.world.beforeEvents.worldInitialize.subscribe(initEvent => {
  initEvent.blockComponentRegistry.registerCustomComponent('xaierg:ladrillos', {
    onPlayerInteract: e => {
      e.player.runCommand(`loot spawn ${e.block.location.x} ${e.block.location.y} ${e.block.location.z} loot "arrojable/ladrillos"`);
e.player.runCommand(`particle minecraft:explosion_manual ${e.block.location.x} ${e.block.location.y+1} ${e.block.location.z}`);
e.block.setType('minecraft:air');
      }
});
});
//piedras//
SERVER.world.beforeEvents.worldInitialize.subscribe(initEvent => {
  initEvent.blockComponentRegistry.registerCustomComponent('xaierg:piedras', {
    onPlayerInteract: e => {
      e.player.runCommand(`loot spawn ${e.block.location.x} ${e.block.location.y} ${e.block.location.z} loot "arrojable/piedras"`);
e.player.runCommand(`particle minecraft:explosion_manual ${e.block.location.x} ${e.block.location.y+1} ${e.block.location.z}`);
e.block.setType('minecraft:air');
      }
});
});

//botellas//
SERVER.world.beforeEvents.worldInitialize.subscribe(initEvent => {
  initEvent.blockComponentRegistry.registerCustomComponent('xaierg:botellas', {
    onPlayerInteract: e => {
      e.player.runCommand(`loot spawn ${e.block.location.x} ${e.block.location.y} ${e.block.location.z} loot "arrojable/botellas"`);
e.player.runCommand(`particle minecraft:explosion_manual ${e.block.location.x} ${e.block.location.y+1} ${e.block.location.z}`);
e.block.setType('minecraft:air');
      }
});
});


//sistem loot luego de la 1_13//

  //loot_armas//
  SERVER.world.beforeEvents.worldInitialize.subscribe(initEvent => {
    initEvent.blockComponentRegistry.registerCustomComponent('xaierg:loot_armas', {
      onPlayerInteract: e => {if (!e.player) return;
        if (e.player.getGameMode() == "creative") return;
        const equippable = e.player.getComponent("minecraft:equippable");
        if (!equippable) return;

        const abierto = e.block.permutation.withState("xaierg:abierto", true)
        e.block.setPermutation(
            abierto
        );
        e.player.runCommand(`loot spawn ${e.block.location.x} ${e.block.location.y} ${e.block.location.z} loot "x_loot/armas"`);
  e.player.runCommand(`particle xaierg:polvo ${e.block.location.x} ${e.block.location.y+1} ${e.block.location.z}`);
  const effectLocation = e.block.center();
  e.dimension.playSound("polvo.amb", effectLocation);
         }
  });
  
  });
  //loot_vvegetales//
  SERVER.world.beforeEvents.worldInitialize.subscribe(initEvent => {
    initEvent.blockComponentRegistry.registerCustomComponent('xaierg:loot_vvegetales', {
      onPlayerInteract: e => {if (!e.player) return;

        if (e.player.getGameMode() == "creative") return;
        const equippable = e.player.getComponent("minecraft:equippable");
        if (!equippable) return;


        const abierto = e.block.permutation.withState("xaierg:abierto", true)
        e.block.setPermutation(
            abierto
        );
        e.player.runCommand(`loot spawn ${e.block.location.x} ${e.block.location.y} ${e.block.location.z} loot "x_loot/vegetales"`);
  e.player.runCommand(`particle xaierg:polvo ${e.block.location.x} ${e.block.location.y+1} ${e.block.location.z}`);
  const effectLocation = e.block.center();
  e.dimension.playSound("polvo.amb", effectLocation);
         }
  });
  
  });
  
  //loot_mmedico//
  SERVER.world.beforeEvents.worldInitialize.subscribe(initEvent => {
    initEvent.blockComponentRegistry.registerCustomComponent('xaierg:loot_mmedico', {
      onPlayerInteract: e => {if (!e.player) return;

        if (e.player.getGameMode() == "creative") return;
        const equippable = e.player.getComponent("minecraft:equippable");
        if (!equippable) return;

        

        const abierto = e.block.permutation.withState("xaierg:abierto", true)
        e.block.setPermutation(
            abierto
        );
        e.player.runCommand(`loot spawn ${e.block.location.x} ${e.block.location.y} ${e.block.location.z} loot "x_loot/medico"`);
  e.player.runCommand(`particle xaierg:polvo ${e.block.location.x} ${e.block.location.y+1} ${e.block.location.z}`);
  const effectLocation = e.block.center();
  e.dimension.playSound("polvo.amb", effectLocation);
         }
  });
  
  });
  //loot_ddocumento//
  SERVER.world.beforeEvents.worldInitialize.subscribe(initEvent => {
    initEvent.blockComponentRegistry.registerCustomComponent('xaierg:loot_ddocumento', {
      onPlayerInteract: e => {if (!e.player) return;

        if (e.player.getGameMode() == "creative") return;
        const equippable = e.player.getComponent("minecraft:equippable");
        if (!equippable) return;

        

        const abierto = e.block.permutation.withState("xaierg:abierto", true)
        e.block.setPermutation(
            abierto
        );
        e.player.runCommand(`loot spawn ${e.block.location.x} ${e.block.location.y} ${e.block.location.z} loot "x_loot/documento"`);
  e.player.runCommand(`particle xaierg:polvo ${e.block.location.x} ${e.block.location.y+1} ${e.block.location.z}`);
  const effectLocation = e.block.center();
  e.dimension.playSound("polvo.amb", effectLocation);
         }
  });
  
  });
  //loot_ccocina//
  SERVER.world.beforeEvents.worldInitialize.subscribe(initEvent => {
    initEvent.blockComponentRegistry.registerCustomComponent('xaierg:loot_ccocina', {
      onPlayerInteract: e => {if (!e.player) return;

        if (e.player.getGameMode() == "creative") return;
        const equippable = e.player.getComponent("minecraft:equippable");
        if (!equippable) return;

        

        const abierto = e.block.permutation.withState("xaierg:abierto", true)
        e.block.setPermutation(
            abierto
        );
        e.player.runCommand(`loot spawn ${e.block.location.x} ${e.block.location.y} ${e.block.location.z} loot "x_loot/cocina"`);
  e.player.runCommand(`particle xaierg:polvo ${e.block.location.x} ${e.block.location.y+1} ${e.block.location.z}`);
  const effectLocation = e.block.center();
  e.dimension.playSound("polvo.amb", effectLocation);
         }
  });
  
  });
  //loot_bbebida//
  SERVER.world.beforeEvents.worldInitialize.subscribe(initEvent => {
    initEvent.blockComponentRegistry.registerCustomComponent('xaierg:loot_bbebida', {
      onPlayerInteract: e => {if (!e.player) return;

        if (e.player.getGameMode() == "creative") return;
        const equippable = e.player.getComponent("minecraft:equippable");
        if (!equippable) return;

        

        const abierto = e.block.permutation.withState("xaierg:abierto", true)
        e.block.setPermutation(
            abierto
        );
        e.player.runCommand(`loot spawn ${e.block.location.x} ${e.block.location.y} ${e.block.location.z} loot "x_loot/bebida"`);
  e.player.runCommand(`particle xaierg:polvo ${e.block.location.x} ${e.block.location.y+1} ${e.block.location.z}`);
  const effectLocation = e.block.center();
  e.dimension.playSound("polvo.amb", effectLocation);
         }
  });
  
  });
  //loot_ccomida//
  SERVER.world.beforeEvents.worldInitialize.subscribe(initEvent => {
    initEvent.blockComponentRegistry.registerCustomComponent('xaierg:loot_ccomida', {
      onPlayerInteract: e => {if (!e.player) return;

        if (e.player.getGameMode() == "creative") return;
        const equippable = e.player.getComponent("minecraft:equippable");
        if (!equippable) return;

        

        const abierto = e.block.permutation.withState("xaierg:abierto", true)
        e.block.setPermutation(
            abierto
        );
        e.player.runCommand(`loot spawn ${e.block.location.x} ${e.block.location.y} ${e.block.location.z} loot "x_loot/bolsitas"`);
  e.player.runCommand(`particle xaierg:polvo ${e.block.location.x} ${e.block.location.y+1} ${e.block.location.z}`);
  const effectLocation = e.block.center();
  e.dimension.playSound("polvo.amb", effectLocation);
         }
  });
  
  });
  //loot_mmilitar//
  SERVER.world.beforeEvents.worldInitialize.subscribe(initEvent => {
    initEvent.blockComponentRegistry.registerCustomComponent('xaierg:loot_mmilitar', {
      onPlayerInteract: e => {if (!e.player) return;

        if (e.player.getGameMode() == "creative") return;
        const equippable = e.player.getComponent("minecraft:equippable");
        if (!equippable) return;

        

        const abierto = e.block.permutation.withState("xaierg:abierto", true)
        e.block.setPermutation(
            abierto
        );
        e.player.runCommand(`loot spawn ${e.block.location.x} ${e.block.location.y} ${e.block.location.z} loot "x_loot/militar"`);
  e.player.runCommand(`particle xaierg:polvo ${e.block.location.x} ${e.block.location.y+1} ${e.block.location.z}`);
  const effectLocation = e.block.center();
  e.dimension.playSound("polvo.amb", effectLocation);
         }
  });
  
  });
  //loot_ccomun//
  SERVER.world.beforeEvents.worldInitialize.subscribe(initEvent => {
    initEvent.blockComponentRegistry.registerCustomComponent('xaierg:loot_ccomun', {
      onPlayerInteract: e => {if (!e.player) return;

        if (e.player.getGameMode() == "creative") return;
        const equippable = e.player.getComponent("minecraft:equippable");
        if (!equippable) return;

        

        const abierto = e.block.permutation.withState("xaierg:abierto", true)
        e.block.setPermutation(
            abierto
        );
        e.player.runCommand(`loot spawn ${e.block.location.x} ${e.block.location.y} ${e.block.location.z} loot "x_loot/comun"`);
  e.player.runCommand(`particle xaierg:polvo ${e.block.location.x} ${e.block.location.y+1} ${e.block.location.z}`);
  const effectLocation = e.block.center();
  e.dimension.playSound("polvo.amb", effectLocation);
  e.dimension.spawnParticle(
      "xaierg:polvo",
      effectLocation
  );
         }
  });
  
  });
  
  //loot_rropa//
  SERVER.world.beforeEvents.worldInitialize.subscribe(initEvent => {
    initEvent.blockComponentRegistry.registerCustomComponent('xaierg:loot_rropa', {
      onPlayerInteract: e => {if (!e.player) return;

        if (e.player.getGameMode() == "creative") return;
        const equippable = e.player.getComponent("minecraft:equippable");
        if (!equippable) return;

        

        const abierto = e.block.permutation.withState("xaierg:abierto", true)
        e.block.setPermutation(
            abierto
        );
        e.player.runCommand(`loot spawn ${e.block.location.x} ${e.block.location.y} ${e.block.location.z} loot "x_loot/ropa"`);
  e.player.runCommand(`particle xaierg:polvo ${e.block.location.x} ${e.block.location.y+1} ${e.block.location.z}`);
  const effectLocation = e.block.center();
  e.dimension.playSound("polvo.amb", effectLocation);
  e.dimension.spawnParticle(
      "xaierg:polvo",
      effectLocation
  );
         }
  });
  
  });

  //loot_ccarne//
  SERVER.world.beforeEvents.worldInitialize.subscribe(initEvent => {
    initEvent.blockComponentRegistry.registerCustomComponent('xaierg:loot_ccarne', {
      onPlayerInteract: e => {if (!e.player) return;

        if (e.player.getGameMode() == "creative") return;
        const equippable = e.player.getComponent("minecraft:equippable");
        if (!equippable) return;

        

        const abierto = e.block.permutation.withState("xaierg:abierto", true)
        e.block.setPermutation(
            abierto
        );
        e.player.runCommand(`loot spawn ${e.block.location.x} ${e.block.location.y} ${e.block.location.z} loot "x_loot/carne"`);
  e.player.runCommand(`particle xaierg:polvo ${e.block.location.x} ${e.block.location.y+1} ${e.block.location.z}`);
  const effectLocation = e.block.center();
  e.dimension.playSound("polvo.amb", effectLocation);
  e.dimension.spawnParticle(
      "xaierg:polvo",
      effectLocation
  );
         }
  });
  
  });
  //loot_frio//
  SERVER.world.beforeEvents.worldInitialize.subscribe(initEvent => {
    initEvent.blockComponentRegistry.registerCustomComponent('xaierg:loot_frio', {
      onPlayerInteract: e => {if (!e.player) return;

        if (e.player.getGameMode() == "creative") return;
        const equippable = e.player.getComponent("minecraft:equippable");
        if (!equippable) return;

        

        const abierto = e.block.permutation.withState("xaierg:abierto", true)
        e.block.setPermutation(
            abierto
        );
        e.player.runCommand(`loot spawn ${e.block.location.x} ${e.block.location.y} ${e.block.location.z} loot "x_loot/frio"`);
   const effectLocation = e.block.center();
  e.dimension.playSound("polvo.amb", effectLocation);
  e.dimension.spawnParticle(
      "xaierg:polvo",
      effectLocation
  );
         }
  });
  
  });


//SISTEM LOOT ANTES DE LA 1_13//
// medico x_loot//
SERVER.world.beforeEvents.worldInitialize.subscribe(initEvent => {
  initEvent.blockComponentRegistry.registerCustomComponent('xaierg:loot', {
    onPlayerInteract: e => {
      const abierto = e.block.permutation.withState("xaierg:abierto", true)
      e.block.setPermutation(
          abierto
      );
      e.player.runCommand(`loot spawn ${e.block.location.x} ${e.block.location.y} ${e.block.location.z} loot "x_loot/medico"`);
e.player.runCommand(`particle minecraft:explosion_manual ${e.block.location.x} ${e.block.location.y+1} ${e.block.location.z}`);
    
       }
});

});
// caja x_loot//
SERVER.world.beforeEvents.worldInitialize.subscribe(initEvent => {
  initEvent.blockComponentRegistry.registerCustomComponent('xaierg:caja_loot', {
    onPlayerInteract: e => {
      
      e.player.runCommand(`loot spawn ${e.block.location.x} ${e.block.location.y} ${e.block.location.z} loot "x_loot/comun"`);
e.player.runCommand(`particle minecraft:explosion_manual ${e.block.location.x} ${e.block.location.y+1} ${e.block.location.z}`);
e.block.setType('xaierg:caja_abierta');
    
       }
});

});

// comun x_loot//
SERVER.world.beforeEvents.worldInitialize.subscribe(initEvent => {
  initEvent.blockComponentRegistry.registerCustomComponent('xaierg:comun_loot', {
    onPlayerInteract: e => {
      const abierto = e.block.permutation.withState("xaierg:abierto", true)
      e.block.setPermutation(
          abierto
      );
      e.player.runCommand(`loot spawn ${e.block.location.x} ${e.block.location.y} ${e.block.location.z} loot "x_loot/comun"`);
e.player.runCommand(`particle minecraft:explosion_manual ${e.block.location.x} ${e.block.location.y+1} ${e.block.location.z}`);
    
       }
});

});

// cocina x_loot//
SERVER.world.beforeEvents.worldInitialize.subscribe(initEvent => {
  initEvent.blockComponentRegistry.registerCustomComponent('xaierg:cocina_loot', {
    onPlayerInteract: e => {
      const abierto = e.block.permutation.withState("xaierg:abierto", true)
      e.block.setPermutation(
          abierto
      );
      e.player.runCommand(`loot spawn ${e.block.location.x} ${e.block.location.y} ${e.block.location.z} loot "x_loot/cocina"`);
e.player.runCommand(`particle minecraft:explosion_manual ${e.block.location.x} ${e.block.location.y+1} ${e.block.location.z}`);
    
       }
});

});
// militar x_loot//
SERVER.world.beforeEvents.worldInitialize.subscribe(initEvent => {
  initEvent.blockComponentRegistry.registerCustomComponent('xaierg:militar_loot', {
    onPlayerInteract: e => {
      const abierto = e.block.permutation.withState("xaierg:abierto", true)
      e.block.setPermutation(
          abierto
      );
      e.player.runCommand(`loot spawn ${e.block.location.x} ${e.block.location.y} ${e.block.location.z} loot "x_loot/militar"`);
e.player.runCommand(`particle minecraft:explosion_manual ${e.block.location.x} ${e.block.location.y+1} ${e.block.location.z}`);
    
       }
});

});
//no_loot
SERVER.world.beforeEvents.worldInitialize.subscribe(initEvent => {
  initEvent.blockComponentRegistry.registerCustomComponent('xaierg:no_loot', {
    onPlayerInteract: e => {
      const abierto = e.block.permutation.withState("xaierg:abierto", true)
      e.block.setPermutation(
          abierto
      );
   
e.player.runCommand(`particle minecraft:explosion_manual ${e.block.location.x} ${e.block.location.y+1} ${e.block.location.z}`);
    
       }
});

});





//OLD CHEST BLOCKS//
//chest_abandonadoX//
SERVER.world.beforeEvents.worldInitialize.subscribe(initEvent => {
  initEvent.blockComponentRegistry.registerCustomComponent('xaierg:chest_abandonadoX', {
    onPlayerInteract: e => {
      e.player.runCommand(`structure load chest_abandonado ${e.block.location.x} ${e.block.location.y} ${e.block.location.z}`);
e.player.runCommand(`particle minecraft:explosion_manual ${e.block.location.x} ${e.block.location.y+1} ${e.block.location.z}`);
    
       }
});

});
//chest_campoX//
SERVER.world.beforeEvents.worldInitialize.subscribe(initEvent => {
  initEvent.blockComponentRegistry.registerCustomComponent('xaierg:chest_campoX', {
    onPlayerInteract: e => {
      e.player.runCommand(`structure load chest_campo ${e.block.location.x} ${e.block.location.y} ${e.block.location.z}`);
e.player.runCommand(`particle minecraft:explosion_manual ${e.block.location.x} ${e.block.location.y+1} ${e.block.location.z}`);
    
       }
});

});
//chest_cocinaX//
SERVER.world.beforeEvents.worldInitialize.subscribe(initEvent => {
  initEvent.blockComponentRegistry.registerCustomComponent('xaierg:chest_cocinaX', {
    onPlayerInteract: e => {
      e.player.runCommand(`structure load chest_cocina ${e.block.location.x} ${e.block.location.y} ${e.block.location.z}`);
e.player.runCommand(`particle minecraft:explosion_manual ${e.block.location.x} ${e.block.location.y+1} ${e.block.location.z}`);
    
       }
});

});
//chest_comunX//
SERVER.world.beforeEvents.worldInitialize.subscribe(initEvent => {
  initEvent.blockComponentRegistry.registerCustomComponent('xaierg:chest_comunX', {
    onPlayerInteract: e => {
      e.player.runCommand(`structure load chest_comun ${e.block.location.x} ${e.block.location.y} ${e.block.location.z}`);
e.player.runCommand(`particle minecraft:explosion_manual ${e.block.location.x} ${e.block.location.y+1} ${e.block.location.z}`);
    
       }
});

});
//chest_hospitalX//
SERVER.world.beforeEvents.worldInitialize.subscribe(initEvent => {
  initEvent.blockComponentRegistry.registerCustomComponent('xaierg:chest_hospitalX', {
    onPlayerInteract: e => {
      e.player.runCommand(`structure load chest_hospital ${e.block.location.x} ${e.block.location.y} ${e.block.location.z}`);
e.player.runCommand(`particle minecraft:explosion_manual ${e.block.location.x} ${e.block.location.y+1} ${e.block.location.z}`);
    
       }
});

});
//chest_megaX//
SERVER.world.beforeEvents.worldInitialize.subscribe(initEvent => {
  initEvent.blockComponentRegistry.registerCustomComponent('xaierg:chest_megaX', {
    onPlayerInteract: e => {
      e.player.runCommand(`structure load chest_mega ${e.block.location.x} ${e.block.location.y} ${e.block.location.z}`);
e.player.runCommand(`particle minecraft:explosion_manual ${e.block.location.x} ${e.block.location.y+1} ${e.block.location.z}`);
    
       }
});

});
//chest_militarX//
SERVER.world.beforeEvents.worldInitialize.subscribe(initEvent => {
  initEvent.blockComponentRegistry.registerCustomComponent('xaierg:chest_militarX', {
    onPlayerInteract: e => {
      e.player.runCommand(`structure load chest_militar ${e.block.location.x} ${e.block.location.y} ${e.block.location.z}`);
e.player.runCommand(`particle minecraft:explosion_manual ${e.block.location.x} ${e.block.location.y+1} ${e.block.location.z}`);
    
       }
});

});
//chest_puebloX//
SERVER.world.beforeEvents.worldInitialize.subscribe(initEvent => {
  initEvent.blockComponentRegistry.registerCustomComponent('xaierg:chest_puebloX', {
    onPlayerInteract: e => {
      e.player.runCommand(`structure load chest_pueblo ${e.block.location.x} ${e.block.location.y} ${e.block.location.z}`);
e.player.runCommand(`particle minecraft:explosion_manual ${e.block.location.x} ${e.block.location.y+1} ${e.block.location.z}`);
    
       }
});

});

//classics//
//casa1X "chest comun"//
SERVER.world.beforeEvents.worldInitialize.subscribe(initEvent => {
    initEvent.blockComponentRegistry.registerCustomComponent('xaierg:casa1X', {
      onPlayerInteract: e => {
        const chest_base=[
            'chest_comun',
            'chest_comun',
            'chest_comun',
            'chest_comun',
            'chest_comun',
            'chest_comun',
            'chest_comun',
            'chest_comun',
            'chest_comun',
            'chest_comun',
            'chest_comun',
            'chest_comun',
            'chest_comun',
            'chest_comun',
            'chest_comun',
            'chest_comun',
            'chest_comun',
            'chest_comun',
            'chest_comun',
            'chest_comun',
            'chest_comun',
            'chest_comun',
            'chest_comun',
            'chest_comun',
            'chest_comun',
            'chest_comun',
            'chest_comun',
            'chest_comun',
            'chest_comun',
            'chest_comun',
            'chest_comun',
            'chest_comun',
            'cofre_1',
            'cofre_2',
            'cofre_3',
            'cofre_4',
            'cofre_5',
            'cofre_6',
            'cofre_7',
            'cofre_8',
            'cofre_9',
            'cofre_10',
            'cofre_11',
            'cofre_12',
            'cofre_13',
            'cofre_14',
            'cofre_15',
            'cofre_16',
            'cofre_17',
            'cofre_18',
            'cofre_19',
            'cofre_20',
            'cofre_21',
            'cofre_22',
            'cofre_23'
          ];
          const randomchest_base = chest_base[Math.floor(Math.random() * chest_base.length)]
       
        e.player.runCommand(`structure load ${randomchest_base} ${e.block.location.x} ${e.block.location.y} ${e.block.location.z}`);
  e.player.runCommand(`particle minecraft:explosion_manual ${e.block.location.x} ${e.block.location.y+1} ${e.block.location.z}`);
      
         }
  });
  
  });
  
  //chest_op//
  SERVER.world.beforeEvents.worldInitialize.subscribe(initEvent => {
    initEvent.blockComponentRegistry.registerCustomComponent('xaierg:chest_opX', {
      onPlayerInteract: e => {
        const chest_op=[
            'cofre_op1',
            'cofre_op2',
            'cofre_op3',
            'cofre_op4',
            'cofre_op5',
            'cofre_op6',
          ];
          const randomchest_op = chest_op[Math.floor(Math.random() * chest_op.length)]
        e.player.runCommand(`structure load ${randomchest_op} ${e.block.location.x} ${e.block.location.y} ${e.block.location.z}`);
  e.player.runCommand(`particle minecraft:explosion_manual ${e.block.location.x} ${e.block.location.y+1} ${e.block.location.z}`);
      
         }
  });
  
  });
  
  //chest_netherX//
  SERVER.world.beforeEvents.worldInitialize.subscribe(initEvent => {
    initEvent.blockComponentRegistry.registerCustomComponent('xaierg:chest_netherX', {
      onPlayerInteract: e => {
        e.player.runCommand(`structure load chest_comun ${e.block.location.x} ${e.block.location.y} ${e.block.location.z}`);
  e.player.runCommand(`particle minecraft:explosion_manual ${e.block.location.x} ${e.block.location.y+1} ${e.block.location.z}`);
      
         }
  });
  
  });
  